[youtubei.js](../../../README.md) / [APIResponseTypes](../README.md) / ReelWatchRequest

# Type Alias: ReelWatchRequest

> **ReelWatchRequest**: `object`

## Type declaration

### disablePlayerResponse?

> `optional` **disablePlayerResponse**: `boolean`

### inputType?

> `optional` **inputType**: `string`

### params?

> `optional` **params**: `string`

### playerRequest?

> `optional` **playerRequest**: `object`

### playerRequest.contentCheckOk?

> `optional` **contentCheckOk**: `boolean`

### playerRequest.params?

> `optional` **params**: `string`

### playerRequest.racyCheckOk?

> `optional` **racyCheckOk**: `boolean`

### playerRequest.videoId

> **videoId**: `string`

## Defined in

[src/parser/types/CommandEndpoints.ts:84](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/types/CommandEndpoints.ts#L84)
